org.eclipse.gmt.modisco.infra.browser.uicore

## Class Message

- java.lang.Object
- - org.eclipse.gmt.modisco.infra.browser.uicore.Message

Deprecated.
Will be replaced by EMF Facet, cf https://bugs.eclipse.org/bugs/show_bug.cgi?id=470715

    @Deprecated
    public class Message
    extends java.lang.Object

A message that appears instead of model elements, for example when the list is empty or the input is `null`.

### Constructor Summary

Constructors
Constructor and Description
`Message(java.lang.String message)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Color` `getBackground()` Deprecated.
`java.util.List<?>` `getChildren()` Deprecated.
`Font` `getFont()` Deprecated.
`Color` `getForeground()` Deprecated.
`Image` `getImage()` Deprecated.
`java.lang.String` `getText()` Deprecated.
`ITreeElement` `getTreeParent()` Deprecated.
`boolean` `hasChildren()` Deprecated.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Message

    public Message(java.lang.String message)

Deprecated.

### Method Detail

#### getText

    public java.lang.String getText()

Deprecated.

#### getImage

    public Image getImage()

Deprecated.

#### getTreeParent

    public ITreeElement getTreeParent()

Deprecated.

#### hasChildren

    public boolean hasChildren()

Deprecated.

#### getChildren

    public java.util.List<?> getChildren()

Deprecated.

#### getForeground

    public Color getForeground()

Deprecated.

#### getBackground

    public Color getBackground()

Deprecated.

#### getFont

    public Font getFont()

Deprecated.